Bug 1857391 - NetworkManager keyfile instead of ifcfg-rh
Summary: NetworkManager keyfile instead of ifcfg-rh
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Haller
QA Contact:
URL:
Whiteboard:
Depends On: 1858439
Blocks: F33Changes
TreeView+ depends on / blocked
 
Reported: 2020-07-15 19:02 UTC by Ben Cotton
Modified: 2021-11-06 00:30 UTC (History)
3 users (show)

Fixed In Version: NetworkManager-1.26.0-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-06 00:30:28 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2020-07-15 19:02:00 UTC
This is a tracking bug for Change: NetworkManager keyfile instead of ifcfg-rh
For more details, see: https://fedoraproject.org/wiki/Changes/NetworkManager_keyfile_instead_of_ifcfg_rh

Change the default settings plugin of NetworkManager so that new profiles will be created in keyfile format instead of ifcfg-rh format.

Comment 1 Fedora Update System 2020-07-16 10:49:59 UTC
FEDORA-2020-c0c2598aad has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c0c2598aad

Comment 2 Adam Williamson 2020-07-18 01:28:08 UTC
I think this actually requires a change in anaconda, if I'm interpreting things right anyway: https://bugzilla.redhat.com/show_bug.cgi?id=1858439

Comment 3 Ben Cotton 2020-08-11 14:42:34 UTC
Branching F33 Change Tracker bugs.

Today is the code complete (testable) deadline. All bugs should be at least in MODIFIED state by now to indicate they are testable.

Comment 4 Ben Cotton 2021-11-04 17:37:24 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Adam Williamson 2021-11-05 23:48:02 UTC
Ben, this seems sort of like your department, since it was a Change bug?

Comment 6 Ben Cotton 2021-11-06 00:30:28 UTC
Whoops, looks like I didn't close this at release. I'll remedy that now.


Note You need to log in before you can comment on or make changes to this bug.